/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.exception;

/**
 * Exception used in the sending procedure
 *
 * @version $Id: SendingException.java,v 1.1 2006/06/13 08:00:21 gbmiglia Exp $
 */
public class SendingException extends Exception {

    /**
     * Creates a new instance of <code>SendingException</code> without
     * detail message.
     */
    public SendingException() {

    }

    /**
     * Constructs an instance of <code>SendingException</code> with the
     * specified detail message.
     *
     * @param msg the detail message.
     */
    public SendingException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>SendingException</code> with the
     * specified exception.
     *
     * @param cause Throwable
     */
    public SendingException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs an instance of <code>SendingException</code> with the
     * specified detail message.
     *
     * @param msg String
     * @param cause Throwable
     */
    public SendingException(String msg, Throwable cause) {
        super(msg, cause);
    }

}
