/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.items.model;

import javax.mail.Message;
import javax.activation.DataHandler;

import com.funambol.email.util.Def;

/**
 *
 * @version $Id: InternalPart.java,v 1.2 2006/05/26 13:49:19 gbmiglia Exp $
 */
public class InternalPart {

    /**     */
    private Object  partvalue   = Def.DEFAULT_CONTENT_VALUE_BODY ; 

    /**   part content type */
    private String  contenttype = Def.DEFAULT_CONTENT_VALUE_CONTENTTYPE ; 

    /**   part disposition */
    private String  disposition = null ; 

    /**   file name .. if part is an attachment */
    private String  filename = null ; 

    /**   part disposition */
    private DataHandler  datahandler = null ; 

    /**   flag to insterrupt the loop on the multipart object */
    private boolean  isbody      = false ;

    /** int size of the part */
    private int     size        = 0 ;


    /**
     *
     */
    public InternalPart(Object _partvalue,
                        String _contenttype,
                        String _disposition,
                        String _filename,
                        DataHandler _datahandler,
                        boolean _isbody,
                        int _size) {
        this.partvalue   = _partvalue;
        this.contenttype = _contenttype;
        this.disposition = _disposition;
        this.filename    = _filename;
        this.datahandler = _datahandler;
        this.isbody      = _isbody;
        this.size        = _size;
    }

    /**
     * Returns the partvalue of the Message
     * @return the partvalue of the Message
     */
    public Object getPartValue() {
        return this.partvalue;
    }

    /**
     * Returns the contentType of the Message
     * @return the contentType of the Message
     */
    public String getContentType() {
        return this.contenttype;
    }

    /**
     * Returns the disposition of the Part
     * @return the disposition of the Part
     */
    public String getDisposition() {
        return this.disposition;
    }

    /**
     * Returns the filename of the Attachment
     * @return the filename of the Attachment
     */
    public String getFileName() {
        return this.filename;
    }

    /**
     * Returns the datahandler of the Part
     * @return the datahandler of the Part
     */
    public DataHandler getDataHandler() {
        return this.datahandler;
    }


    /**
     * Returns the flag to stop the MultiPart loop
     * @return the flag
     */
    public boolean isBody() {
        return this.isbody;
    }

    /**
     * Returns the size of this Body
     * @return the size of this Body
     */
    public int getSize() {
        return this.size;
    }

    /**
     *
     */
    public void setPartValue(Object _partvalue) {
        this.partvalue = _partvalue;
    }

    /**
     *
     */
    public void setContentType(String _contenttype) {
        this.contenttype = _contenttype;
    }

    /**
     *
     */
    public void setDisposition(String _disposition) {
        this.disposition = _disposition;
    }
    
    /**
     *
     */
    public void setFileName(String _filename) {
        this.filename = _filename;
    }

    /**
     *
     */
    public void setDataHandler(DataHandler _datahandler) {
        this.datahandler = _datahandler;
    }
    
    /**
     *
     */
    public void setIsBody(boolean _isbody) {
        this.isbody = _isbody;
    }

    /**
     *
     */
    public void setSize(int _size) {
        this.size = _size;
    }
   
   
}
