/*
 * <FUNAMBOLCOPYRIGHT>
 * Copyright (C) 2006 FUNAMBOL.
 * All Rights Reserved.  No use, copying or distribution of this
 * work may be made except in accordance with a valid license
 * agreement from FUNAMBOL.  This notice must be
 * included on all copies, modifications and derivatives of this
 * work.
 *
 * FUNAMBOL MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
 * OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. FUNAMBOL SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * </FUNAMBOLCOPYRIGHT>
 */
package com.funambol.email.pdi.folder;


import com.funambol.foundation.pdi.common.Property;

/**
 * An object representing a folder.
 * This class can be used to store and retrive all
 * information about folder.
 *
 * @version $Id: Folder.java,v 1.1 2006/03/06 17:38:58 gbmiglia Exp $
 */
public class Folder {

    private Property  uid;       // String  --> will be used String type
    private Property  parentId;  // String  --> will be used String type
    private Property  name;      // String  --> will be used String type
    private Property  created;   // date    --> will be used String type
    private Property  modified;  // date    --> will be used String type
    private Property  accessed;  // date    --> will be used String type
    private Property  role;      // String  --> will be used String type
    // @todo Ext


    /**
     * Creates an empty Folder
     */
    public Folder() {
        uid       = new Property();
        parentId  = new Property();
        name      = new Property();
        created   = new Property();
        modified  = new Property();
        accessed  = new Property();
        role      = new Property();
    }

    /**
     * Returns the uid of this folder
     *
     * @return the uid of this folder
     */
    public Property getUID() {
        return uid;
    }

    /**
     * set the uid of this folder
     *
     */
    public void setUID(Property uid) {
        this.uid = uid;
    }

    /**
     * Returns the parentId of this folder
     *
     * @return the parentId of this folder
     */
    public Property getParentId() {
        return parentId;
    }

    /**
     * set the parentId of this folder
     *
     */
    public void setParentId(Property parentId) {
        this.parentId = parentId;
    }


    /**
     * Returns the name of this folder
     *
     * @return the name of this folder
     */
    public Property getName() {
        return name;
    }


    /**
     * Returns the created of this folder
     *
     * @return the created of this folder
     */
    public Property getCreated() {
        return created;
    }

    /**
     * Returns the modified of this folder
     *
     * @return the modified of this folder
     */
    public Property getModified() {
        return modified;
    }

    /**
     * Returns the accessed of this folder
     *
     * @return the accessed of this folder
     */
    public Property getAccessed() {
        return accessed;
    }


    /**
     * Returns the role of this folder
     *
     * @return the role of this folder
     */
    public Property getRole() {
        return role;
    }

    /**
     *
     * @return String
     */
    public String toString() {
        StringBuffer sb = new StringBuffer("Email:");
        sb.append("\nUID       : " + this.getUID().getPropertyValue());
        sb.append("\nName      : " + this.getName().getPropertyValue());
        sb.append("\nCreated   : " + this.getCreated().getPropertyValue());
        sb.append("\nModified  : " + this.getModified().getPropertyValue());
        sb.append("\nAccessed  : " + this.getAccessed().getPropertyValue());
        sb.append("\nRole      : " + this.getRole().getPropertyValue());
        return sb.toString();
    }
}
